Bug 442745 - Using separate ToolTip item produces a tooltip with messed up shadow corners; attached ToolTip properly works fine
Summary: Using separate ToolTip item produces a tooltip with messed up shadow corners;...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Frameworks and Libraries
Component: tooltips (show other bugs)
Version: 5.86.0
Platform: Other Linux
: HI normal (vote)
Target Milestone: ---
Assignee: Noah Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-20 15:44 UTC by Nate Graham
Modified: 2021-12-15 22:22 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.90


Attachments
Messed up corners with separate ToolTip item (108.69 KB, image/png)
2021-09-20 15:44 UTC, Nate Graham
Details
Looks fine when added using the ToolTip attached property (77.52 KB, image/png)
2021-09-20 15:45 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-09-20 15:44:37 UTC
Created attachment 141737 [details]
Messed up corners with separate ToolTip item

Adding a PlasmaComponents3.ToolTip item as a child of another controls produces a tooltip with the shadow corners messed up; see attached screenshot.

If you instead add the tooltip using an attached property, it looks fine.
Comment 1 Nate Graham 2021-09-20 15:45:21 UTC
Created attachment 141738 [details]
Looks fine when added using the ToolTip attached property
Comment 2 Nate Graham 2021-09-20 15:46:33 UTC
Actually now that I stare deeply and contemplatively at those screenshots, I notice that the separate item version is lacking its outline too. Looks like more than just the corners are getting messed up.
Comment 3 Nate Graham 2021-12-07 14:47:54 UTC
Noah, I recall you saying you know how  to fix this. Could you do so when you have the time?
Comment 4 Noah Davis 2021-12-15 22:22:14 UTC
Git commit 6e660cfd0c6aef60c9765f76d8d2b6fcbd91176d by Noah Davis.
Committed on 15/12/2021 at 18:47.
Pushed by ngraham into branch 'master'.

Fix background corners and PC3 ToolTip style

The sides and corners didn't have correct sizes relative to each other
and PC3 ToolTip didn't use a style like normal tooltips.

M  +1    -1    src/declarativeimports/plasmacomponents3/ToolTip.qml
M  +119  -989  src/desktoptheme/breeze/dialogs/background.svg
M  +86   -385  src/desktoptheme/breeze/opaque/dialogs/background.svg
M  +91   -422  src/desktoptheme/breeze/opaque/widgets/panel-background.svg
M  +86   -385  src/desktoptheme/breeze/opaque/widgets/tooltip.svg
M  +119  -1001 src/desktoptheme/breeze/solid/dialogs/background.svg
A  +134  -0    src/desktoptheme/breeze/solid/widgets/background.svg
M  +128  -846  src/desktoptheme/breeze/solid/widgets/panel-background.svg
M  +131  -808  src/desktoptheme/breeze/solid/widgets/tooltip.svg
M  +119  -989  src/desktoptheme/breeze/translucent/dialogs/background.svg
M  +128  -842  src/desktoptheme/breeze/translucent/widgets/panel-background.svg
M  +123  -817  src/desktoptheme/breeze/translucent/widgets/tooltip.svg
M  +128  -846  src/desktoptheme/breeze/widgets/panel-background.svg
M  +123  -808  src/desktoptheme/breeze/widgets/tooltip.svg

https://invent.kde.org/frameworks/plasma-framework/commit/6e660cfd0c6aef60c9765f76d8d2b6fcbd91176d